# `openpgp-key-janitor`

> ⚠️ **Work in Progress (WIP)**
>
> **openpgp-key-janitor** is currently under development. It supports only key
> generation, with more features planned for the future. Contributions and
> feedback are welcome!

The "OpenPGP Key Janitor" is a command-line tool for creating and maintaining
OpenPGP keys.

## Installation

Use the package manager [cargo](https://doc.rust-lang.org/cargo/) to install it.

```bash
cargo install openpgp-key-janitor
```

## Usage
```
Usage: openpgp-key-janitor [OPTIONS] [DIR]

Arguments:
  [DIR]  Path to the directory it should operate on. Defaults to the current working directory

Options:
  -h, --help     Print help
  -V, --version  Print version
```

## Contributing

Pull requests are welcome. For major changes, please open an issue first
to discuss what you would like to change.

Please make sure to update tests as appropriate.

## License

[CNPLv7](https://thufie.lain.haus/NPL.html)
